The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

checkperlmodules] The perl module Archive::Zip could not be installed

Discussion in 'General Discussion' started by PPNSteve, Jul 1, 2009.

  1. PPNSteve

    PPNSteve Well-Known Member

    Joined:
    Mar 13, 2003
    Messages:
    393
    Likes Received:
    1
    Trophy Points:
    18
    Location:
    Somewhere in Ilex Forest
    cPanel Access Level:
    Root Administrator
    Twitter:
    This module is required by cPanel, and the system may not function correctly until it is installed, and functional. Below is the results of the auto-install attempt:

    Test Run
    ==============
    Bareword "Cwd::getcwd" not allowed while "strict subs" in use at /usr/lib/perl5/site_perl/5.8.8/Archive/Zip.pm line 552.
    Compilation failed in require at - line 1.
    BEGIN failed--compilation aborted at - line 1.


    Installer Run
    ==============
    Testing connection speed...(using fast method)...Done
    Ping:0.394 Testing connection speed to 209.85.80.214 using pureperl...(311100.00 bytes/s)...Done
    Ping:5.894 Testing connection speed to 72.233.42.250 using pureperl...(311000.00 bytes/s)...Done
    Ping:1.129 Testing connection speed to 208.74.121.39 using pureperl...(311000.00 bytes/s)...Done
    Three usable mirrors located
    Three usable mirrors located
    Mirror Check passed for 209.85.80.214 (/index.html)
    Unknown config variable 'less'
    commit: wrote '/usr/lib/perl5/5.8.8/CPAN/Config.pm'
    CPAN: Storable loaded ok (v2.20)
    Going to read /home/.cpan/Metadata
    Database was generated on Tue, 30 Jun 2009 09:27:00 GMT
    Running install for module 'Archive::Zip'
    Running make for A/AD/ADAMK/Archive-Zip-1.29.tar.gz
    CPAN: Digest::SHA loaded ok (v5.47)
    CPAN: Compress::Zlib loaded ok (v2.019)
    Checksum for /home/.cpan/sources/authors/id/A/AD/ADAMK/Archive-Zip-1.29.tar.gz ok

    ...cut...

    ADAMK/Archive-Zip-1.29.tar.gz
    /usr/bin/make -- OK
    Running make install
    Appending installation info to /usr/lib/perl5/5.8.8/i686-linux/perllocal.pod
    ADAMK/Archive-Zip-1.29.tar.gz
    /usr/bin/make install UNINST=1 -- OK
    cPCPAN: Module (File::Spec) holdback (3.30 held back to 3.25)
    Running get for module 'File::Spec'
    CPAN: LWP::UserAgent loaded ok (v5.823)
    CPAN: Time::HiRes loaded ok (v1.9719)
    Fetching with LWP:
    http://209.85.80.214/pub/CPAN/authors/id/S/SM/SMUELLER/PathTools-3.25.tar.gz
    LWP failed with code[404] message[Not Found]

    Trying with "/usr/bin/wget -O /home/.cpan/sources/authors/id/S/SM/SMUELLER/PathTools-3.25.tar.tmp19898" to get
    http://209.85.80.214/pub/CPAN/authors/id/S/SM/SMUELLER/PathTools-3.25.tar.gz

    --06:47:28-- http://209.85.80.214/pub/CPAN/authors/id/S/SM/SMUELLER/PathTools-3.25.tar.gz
    => `/home/.cpan/sources/authors/id/S/SM/SMUELLER/PathTools-3.25.tar.tmp19898'
    Connecting to 209.85.80.214:80... connected.
    HTTP request sent, awaiting response... 404 Not Found
    06:47:28 ERROR 404: Not Found.


    System call "/usr/bin/wget -O /home/.cpan/sources/authors/id/S/SM/SMUELLER/PathTools-3.25.tar.tmp19898 "http://209.85.80.214/pub/CPAN/authors/id/S/SM/SMUELLER/PathTools-3.25.tar.gz" "
    returned status 1 (wstat 256)
    Warning: expected file [/home/.cpan/sources/authors/id/S/SM/SMUELLER/PathTools-3.25.tar.gz.tmp19898] doesn't exist
    Fetching with LWP:
    http://72.233.42.250/pub/CPAN/authors/id/S/SM/SMUELLER/PathTools-3.25.tar.gz

    LWP failed with code[404] message[Not Found]

    Trying with "/usr/bin/wget -O /home/.cpan/sources/authors/id/S/SM/SMUELLER/PathTools-3.25.tar.tmp19898" to get
    http://72.233.42.250/pub/CPAN/authors/id/S/SM/SMUELLER/PathTools-3.25.tar.gz

    --06:47:28-- http://72.233.42.250/pub/CPAN/authors/id/S/SM/SMUELLER/PathTools-3.25.tar.gz
    => `/home/.cpan/sources/authors/id/S/SM/SMUELLER/PathTools-3.25.tar.tmp19898'
    Connecting to 72.233.42.250:80... connected.
    HTTP request sent, awaiting response... 404 Not Found
    06:47:28 ERROR 404: Not Found.
    ...cut...
    many more 404's and so on
    ...
    Could not fetch authors/id/S/SM/SMUELLER/PathTools-3.25.tar.gz
    Giving up on '/home/.cpan/sources/authors/id/S/SM/SMUELLER/PathTools-3.25.tar.gz'
    Note: Current database in memory was generated on Tue, 30 Jun 2009 09:27:00 GMT

    Running get for module 'File::Spec'
    Checksum for /home/.cpan/sources/authors/id/cPCPAN/PathTools-3.25.tar.gz ok
    PathTools-3.25/
    PathTools-3.25/Build.PL
    PathTools-3.25/Changes
    PathTools-3.25/Cwd.pm
    PathTools-3.25/Cwd.xs
    PathTools-3.25/INSTALL
    PathTools-3.25/lib/
    PathTools-3.25/lib/File/
    PathTools-3.25/lib/File/Spec/
    PathTools-3.25/lib/File/Spec/Cygwin.pm
    PathTools-3.25/lib/File/Spec/Epoc.pm
    PathTools-3.25/lib/File/Spec/Functions.pm
    PathTools-3.25/lib/File/Spec/Mac.pm
    PathTools-3.25/lib/File/Spec/OS2.pm
    PathTools-3.25/lib/File/Spec/Unix.pm
    PathTools-3.25/lib/File/Spec/VMS.pm
    PathTools-3.25/lib/File/Spec/Win32.pm
    PathTools-3.25/lib/File/Spec.pm
    PathTools-3.25/Makefile.PL
    PathTools-3.25/MANIFEST
    PathTools-3.25/META.yml
    PathTools-3.25/ppport.h
    PathTools-3.25/SIGNATURE
    PathTools-3.25/t/
    PathTools-3.25/t/crossplatform.t
    PathTools-3.25/t/cwd.t
    PathTools-3.25/t/Functions.t
    PathTools-3.25/t/lib/
    PathTools-3.25/t/lib/Test/
    PathTools-3.25/t/lib/Test/Builder.pm
    PathTools-3.25/t/lib/Test/More.pm
    PathTools-3.25/t/lib/Test/Simple.pm
    PathTools-3.25/t/lib/Test/Tutorial.pod
    PathTools-3.25/t/rel2abs2rel.t
    PathTools-3.25/t/Spec.t
    PathTools-3.25/t/taint.t
    PathTools-3.25/t/tmpdir.t
    PathTools-3.25/t/win32.t
    CPAN: Module::Build loaded ok (v0.33)
    cPCPAN: Module (Compress::Raw::Zlib) holdback (2.020 held back to 2.019)
    perlmod--Install done
    ...end...

    so,
    new update on current tonight.. anyone else seeing this error? Have a solution, if one is needed?
     
  2. DReade83

    DReade83 Well-Known Member

    Joined:
    Oct 20, 2006
    Messages:
    196
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Cheshire, UK
    According to Index of /pub/CPAN/authors/id/S/SM/SMUELLER/, this is an old PathTools release cPanel is trying to upgrade to. Version 3.30 was released in May this year, so I'm not sure why cPanel is using an older version of the software currently??

    Anyone know how to cure this?
     
  3. DReade83

    DReade83 Well-Known Member

    Joined:
    Oct 20, 2006
    Messages:
    196
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Cheshire, UK
    I logged this issue via cPanel Support and they reckon this is perfectly normal and that cPanel has functioned as it's meant to when modules are due for upgrade.

    Thing is this isn't normal - I've receiving error emails with this exact output from all my servers every time they check for Perl module updates now.
     
  4. Serra

    Serra Well-Known Member

    Joined:
    Oct 27, 2005
    Messages:
    213
    Likes Received:
    4
    Trophy Points:
    18
    Location:
    Florida
    I got messages from my servers as well this morning.

    Test Run
    ==============
    Bareword "Cwd::getcwd" not allowed while "strict subs" in use at /usr/lib/perl5/site_perl/5.8.8/Archive/Zip.pm line 552.
    Compilation failed in require at - line 1.
    BEGIN failed--compilation aborted at - line 1.
     
  5. billread

    billread Registered

    Joined:
    Jul 1, 2009
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    1
    Also getting message

    Any advice on installing the module manually? The 1.28 version is also sitting in the /home/.cpan/sources/authors/id/A/AD/ADAMK/ directory.
     
  6. docbreed

    docbreed Well-Known Member

    Joined:
    Jul 18, 2005
    Messages:
    57
    Likes Received:
    0
    Trophy Points:
    6
    it killed my mailscanner...

    Code:
    root@chicago1 [/var/log]# service MailScanner start
    Starting MailScanner daemons:
             MailScanner:       Bareword "Cwd::getcwd" not allowed while "strict subs" in use at /usr/lib/perl5/site_perl/5.8.8/Archive/Zip.pm line 552.
    Compilation failed in require at /usr/mailscanner/lib/MailScanner/Message.pm line 48.
    BEGIN failed--compilation aborted at /usr/mailscanner/lib/MailScanner/Message.pm line 48.
    Compilation failed in require at /usr/mailscanner/bin/MailScanner line 107.
    BEGIN failed--compilation aborted at /usr/mailscanner/bin/MailScanner line 107.
    
     
  7. docbreed

    docbreed Well-Known Member

    Joined:
    Jul 18, 2005
    Messages:
    57
    Likes Received:
    0
    Trophy Points:
    6
  8. Serra

    Serra Well-Known Member

    Joined:
    Oct 27, 2005
    Messages:
    213
    Likes Received:
    4
    Trophy Points:
    18
    Location:
    Florida
    I was just going to update the thread about the mailscanner issue. I had to use the manual fix on both my servers. The /scripts... one didn't automatically fix it.
     
  9. docbreed

    docbreed Well-Known Member

    Joined:
    Jul 18, 2005
    Messages:
    57
    Likes Received:
    0
    Trophy Points:
    6
    Same here

    Code:
    wget http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/Archive-Zip-1.30.tar.gz
    tar -xzf Archive-Zip-1.30.tar.gz
    cd Archive-Zip-1.30
    perl Makefile.PL
    make
    make install
     
  10. orty

    orty Well-Known Member

    Joined:
    Jun 29, 2004
    Messages:
    110
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Bend, Oregon
    cPanel Access Level:
    Root Administrator
    Same here. The cpan mirrors my servers were hooking up to didn't have the new version yet.
     
Loading...

Share This Page